#ifndef LC_UTIL_H____
#define LC_UTIL_H____


#ifdef __cplusplus
extern "C"{
#endif 

#include <wchar.h>
#include "gb_windows.h"


/* 
convert from L_CHAR string to char or wchar_t string that Windows can print direct. 
This function acllocate memory by d_alloc().
*/
void l2native(char **cstrp, wchar_t **wstrp, const L_CHAR *str);

/* convert from L_CHAR string to wchar_t string */
void l2w(wchar_t *ws, int ws_buff_len, const L_CHAR *ls);

/* number of line feed */
int l_get_lf_count(const L_CHAR *str);
void v_min_text_size(HDC hdc, const L_CHAR *str, SIZE *size);


#ifdef __cplusplus
}
#endif 

#endif